#define INCLUDE_PIPES
#include "../../config.h"
#include <stdlib.h>

int mbtk_be_pipe(int *rfd, int *wfd)
{
#if MBTK_HAVE_PIPE
	int res, fds[2];
	res = pipe(fds);
	*rfd = fds[0];
	*wfd = fds[1];
	return res;
#endif

#if MBTK_HAVE__PIPE
	HANDLE rh, wh;
	int res = _pipe(&rh, &wh, 4096, 0);
	*rfd = rh; /* on windows int shall be 32 bits */
	*wfd = wh;
	return res;
#endif

/* neither - we should not get called */
	abort();
}
